##  fot PCLinuxOS  ##

%define ver 1.2.7
%define rel 3.1.nora16

%define scim_version  1.4.15
%define scim_api      1.4.0
%define anthy_version 9100h

Name:    scim-anthy
Summary: SCIM IMEngine module for anthy
Version: %{ver}
Release: %{rel}
Group:   System/Internationalization
License: GPLv2+
URL:     https://osdn.jp/projects/scim-imengine/

Source0: %{url}/downloads/37309/scim-anthy-%{version}.tar.gz
Patch0: scim-anthy-modify_romaji_tables.diff

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: anthy-devel >= %{anthy_version}
BuildRequires: scim-devel >= %{scim_version}
BuildRequires: automake
BuildRequires: libltdl-devel
BuildRequires: gettext-devel
BuildRequires: gtk+2-devel
BuildRequires: atk-devel
BuildRequires: pango-devel
BuildRequires: freetype2-devel
BuildRequires: libglib2-devel

Requires: anthy >= %{anthy_version}
Requires: scim >= %{scim_version}
Requires: gtk+2
Requires: atk
Requires: pango
Requires: freetype2
Requires: libglib2
Requires: kasumi >= 2.4
Obsoletes: libscim-anthy0

%description
Scim-anthy is an SCIM IMEngine module for anthy.
It supports Japanese input.


%prep
%setup -q
%patch0 -p1


%build
%configure2_5x
%make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

## remove unneeded files
rm -f $RPM_BUILD_ROOT%{_libdir}/scim-1.0/*/*.{a,la}
rm -f $RPM_BUILD_ROOT%{_libdir}/scim-1.0/*/*/*.{a,la}

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_datadir}/scim/icons/*
%{_datadir}/scim/Anthy/style/*.sty
%{_libdir}/scim-1.0/%{scim_api}/IMEngine/*.so
%{_libdir}/scim-1.0/%{scim_api}/SetupUI/*.so
%{_libdir}/scim-1.0/%{scim_api}/Helper/*.so


%changelog
* Mon Dec 28 2015 tomcat <> 1.2.7-3.1
- rebuild against scim-1.4.15

* Sat Feb 23 2013 tomcat <> 1.2.7-2.1nora13
- fix Requires
    + remove R:scim-bridge
    + add R:scim

* Thu Aug 18 2011 tomcat <> 1.2.7-1.7nora11
- rebuild for PCLinuxoS 2011 (x86_64)

* Fri May 14 2010 tomcat <> 1.2.7-1.6nora101
- re-numbering Release
- do NOT create libscim-anthy0 sub package
- add 'Obsoletes: libscim-anthy0'
- update %%files, %%post, %%postun sections

* Mon Apr 26 2010 tomcat <> 1.2.7-5nora10
- rebuild

* Sun Mar 07 2010 tomcat <> 1.2.7-4nora10
- rebuild for PCLOS 2010 beta1

* Thu Oct 08 2009 tomcat <> 1.2.7-3nora10
- build against NEW toolchain

* Mon May 04 2009 tomcat <> 1.2.7-2nora09
- rebuild with scim-1.4.9-1nora09

* Mon Feb 02 2009 tomcat <> 1.2.7-1nora07
- update to 1.2.7
- add patch0 from Mandriva

* Mon Nov 06 2006 Bart the Build Bot <bartbot at pclinuxos dot com> 1.2.0-2pclos2007
- Build for PCLinuxOS 2007

